A CLI for the denreg registry.

## Installation

Recommended way for installation is
`deno install -A --unstable https://deno.hibas123.de/raw/@denreg-cli/denreg.ts`
Since the cli requires access to:

-  reading and writing files
-  access to environment variables
-  network access

The -A flag is the easiest way to install. You can however manually grant the required permissions.

| permission    | reason                                                                                            |
| ------------- | ------------------------------------------------------------------------------------------------- |
| --allow-read  | Read configuration files (~/.denreg) as well the your project files on publish                    |
| --allow-write | Write configuration file while using setup and init as well as during publish for temporary files |
| --allow-net   | Access to network for uploading to the registry (can be exclusive to the registry)                |
| --allow-env   | Required to get config file path relative to user home directory                                  |
